bots.editPreviewMedia
Edit a main mini app preview, see here » for more info. Only owners of bots with a configured Main Mini App can use this method, see see here » for more info on how to check if you can invoke this method.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Edit a main mini app preview, see here » for more info. Only owners of bots with a configured Main Mini App can use this method, see see here » for more info on how to check if you can invoke this method.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/bots.editPreviewMedia" \ -H "Content-Type: application/json" \ -d '{ "params": { "bot": { "_": "inputUserEmpty" }, "langCode": "string", "media": { "_": "inputMediaEmpty" }, "newMedia": { "_": "inputMediaEmpty" } } }'{ "result": { "_": "botPreviewMedia", "date": 0, "media": { "_": "messageMediaEmpty" } }}editAccessSettings
Edit the [access restriction settings »](https://core.telegram.org/api/bots/managed-bots#managing-a-managed-bot) of a managed bot; can only be called by the manager bot.
exportBotToken
Export the bot token of a [managed bot »](https://core.telegram.org/api/bots/managed-bots#managing-a-managed-bot); can only be called by the manager bot.